librime: rime::Punctuator Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::Punctuator Class Reference

`#include <punctuator.h>`

Inheritance diagram for rime::Punctuator:
[legend]
Collaboration diagram for rime::Punctuator:
[legend]

## Public Member Functions
| Punctuator (const Ticket &ticket)
virtual ProcessResult | ProcessKeyEvent (const KeyEvent &key_event)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const

## Protected Member Functions
bool | ConvertDigitSeparator (char ch)
bool | ReconvertDigitSeparatorAsPunct (const string &key)
bool | AlternatePunct (const string &key, const an< ConfigItem > &definition)
bool | ConfirmUniquePunct (const an< ConfigItem > &definition)
bool | AutoCommitPunct (const an< ConfigItem > &definition)
bool | PairPunct (const an< ConfigItem > &definition)

## Protected Attributes
PunctConfig | config_
bool | use_space_ = false
map< an< ConfigItem >, int > | oddness_
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)

## Constructor & Destructor Documentation

## ◆ Punctuator()

rime::Punctuator::Punctuator | ( | const Ticket & | ticket | ) |

## Member Function Documentation

## ◆ AlternatePunct()

bool rime::Punctuator::AlternatePunct | ( | const string & | key,
|  | const an< ConfigItem > & | definition )
| protected

## ◆ AutoCommitPunct()

bool rime::Punctuator::AutoCommitPunct | ( | const an< ConfigItem > & | definition | ) |
| protected

## ◆ ConfirmUniquePunct()

bool rime::Punctuator::ConfirmUniquePunct | ( | const an< ConfigItem > & | definition | ) |
| protected

## ◆ ConvertDigitSeparator()

bool rime::Punctuator::ConvertDigitSeparator | ( | char | ch | ) |
| protected

## ◆ PairPunct()

bool rime::Punctuator::PairPunct | ( | const an< ConfigItem > & | definition | ) |
| protected

## ◆ ProcessKeyEvent()

ProcessResult rime::Punctuator::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| virtual

Reimplemented from rime::Processor.

## ◆ ReconvertDigitSeparatorAsPunct()

bool rime::Punctuator::ReconvertDigitSeparatorAsPunct | ( | const string & | key | ) |
| protected

## Member Data Documentation

## ◆ config_

PunctConfig rime::Punctuator::config_
| protected

## ◆ oddness_

map<an<ConfigItem>, int> rime::Punctuator::oddness_
| protected

## ◆ use_space_

bool rime::Punctuator::use_space_ = false
| protected

The documentation for this class was generated from the following files:

- punctuator.h
- punctuator.cc